Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
Class TitledBorderFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.SwingBorderFactory
              groovy.swing.factory.TitledBorderFactory

    class TitledBorderFactory
    extends SwingBorderFactory

The node must be called with either a value arugment or a title: attribute.
The following attributes are optional.
position: one of "default", "aboveTop", "top", "belowTop", "aboveBottom", "bottom", "belowBottom", or a constant from javax.swing.border.TitledBorder justification: one of "default", "left", "center", "right", "leading", "trailing", or a constant from javax.swing.border.TitledBorder border: javax.swing.Border, some other border, if unset the look and feel default will be used (re color: java.awt.Color the color of the text for the title font: java.awt.Font the font of the text for the title

Property Summary
`static Map` | `justifications`
`static Map` | `positions`

Constructor Summary
`TitledBorderFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class SwingBorderFactory
isLeaf, onHandleNodeAttributes, setParent

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### justifications

    static final Map justifications

### positions

    static final Map positions

Constructor Detail

### TitledBorderFactory

    TitledBorderFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.